Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 528454 (ocaml-batteries) - Review Request: ocaml-batteries - OCaml Batteries Included
Summary: Review Request: ocaml-batteries - OCaml Batteries Included
Keywords:
Status: CLOSED NOTABUG
Alias: ocaml-batteries
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL: http://batteries.forge.ocamlcore.org/
Whiteboard:
Depends On: ocaml-bin-prot
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2009-10-12 10:13 UTC by Richard W.M. Jones
Modified: 2015-04-13 07:29 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-29 22:02:46 UTC


Attachments (Terms of Use)

Description Richard W.M. Jones 2009-10-12 10:13:35 UTC
Spec URL: http://www.annexia.org/tmp/ocaml/ocaml-batteries.spec
SRPM URL: http://www.annexia.org/tmp/ocaml/ocaml-batteries-1.0-0.1.beta2.20090903.fc11.src.rpm
Description:

OCaml Batteries Included is a comprehensive core library for OCaml.
It aims at a "community-driven effort to standardize on an consistent,
documented, and comprehensive development platform for the OCaml
programming language."

As such it contains many different modules for standard purposes, and
also includes (and supercedes) some other OCaml modules such as
Extlib.

Comment 1 Richard W.M. Jones 2009-10-12 10:15:32 UTC
rpmlint says:

ocaml-batteries.x86_64: E: useless-provides ocaml(Batteries)

 - Batteries exports two OCaml modules with the same name, so we end
   up with two dependencies.  This is actually correct.

ocaml-batteries.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ocaml/batteries/top.ml

 - 'top.ml' is needed by the Batteries REPL, so it's correct to put
   this file into the base package and not into the -devel package.

Comment 2 Jason Tibbitts 2010-11-01 22:18:18 UTC
This one doesn't seem to build for me:

+ ocamlfind ocamldep -pp camlp4oof -modules src/core/batteries_config.mli > src/core/batteries_config.mli.depends
sh: camlp4oof: command not found

A failing scratch build is at http://koji.fedoraproject.org/koji/taskinfo?taskID=2570371

(Just looking over old review tickets.)

Comment 3 Richard W.M. Jones 2010-11-02 09:36:35 UTC
That'll be a missing BR on ocaml-camlp4-devel.

Comment 4 Jason Tibbitts 2012-06-29 22:02:46 UTC
Still no buildable package in something like 19 months; I'm just going to close this out.


Note You need to log in before you can comment on or make changes to this bug.